QGIS Application - Feature request #175
query builder for shapefiles and other data
2006-07-06 03:40 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10234
Description

query builder works only with postgis data; it would be useful to have it for all vectors, or at least with shapefiles

History

#1 - 2007-11-04 07:33 PM - Gary Sherman
- Status changed from Open to Closed

- Resolution set to fixed

Present since 0.8.x

#2 - 2007-11-05 04:51 AM - Martin Dobias

Not really true - query builder can be used so far only to do searching in attribute table. | guess this request was meant to support filtering the features of

the layer.

#3 - 2007-11-08 08:58 AM - leo-lami -
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

If you open the property windows of a shape or a GRASS vector and you select the 'General' label you see that the 'Query builder' bottom is not active.

If you work with a [[PostGis]] vector it works.

#4 - 2008-03-19 07:41 AM - leolami -

The view select of feautures does'nt work with shapes and GRASS vector.

#5 - 2009-10-31 10:44 AM - Paolo Cavallini
- Resolution set to fixed
- Status changed from Feedback to Closed

Fixed in current trunk. See also #2036
